/*
IAX balancing proxy
Authors: Ben Smithrust, Stanislaw Pitucha

Copyright (c) 2007 Gradwell dot com

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.
*/

#ifndef _GLOBAL_H
#define	_GLOBAL_H

#include <sys/signal.h>
#include <sys/socket.h>
#include <sys/time.h>
#include <sys/types.h>

#include <arpa/inet.h>
#include <netinet/in.h>

#include "version.h"

#define CONN_TIMEOUT 60
#define PROXY_ADDR "0.0.0.0"
#define IAX_PORT 4569
#define SELECT_TIMEOUT_SEC 0
#define SELECT_TIMEOUT_USEC 100000
#define RETRANSMISSION_TRIES 3
#define RETRANSMISSION_USEC 100000
#define SERVER_LIST "iaxproxy-servers"
//#define LOG_PATH_VOIP "voip"
//#define LOG_PATH_PROXY "iaxproxy"
#define POKE_INTERVAL 10
#define POKE_MAXWAIT 5

#define MAX_CALLNO_PER_CLT 500
#define MAX_CLT_PER_IP 50

enum {
    CLOSED_BY_SERVER_INVAL = 0,
    CLOSED_BY_SERVER,
    CLOSED_BY_CLIENT_INVAL,
    CLOSED_BY_CLIENT,
    CLOSED_INTERNAL_IGNORE,
    CLOSE_CAUSE_LAST
};

#endif	/* _GLOBAL_H */
